org.eclipse.wst.jsdt.chromium

## Interface FunctionScopeExtension

    public interface FunctionScopeExtension

An extension to `JsFunction` API that returns function (closure) hidden scope.

See Also:
  `JavascriptVm.getFunctionScopeExtension()`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.List<? extends JsScope>` `getScopes(JsFunction function)`

### Method Detail

#### getScopes

    java.util.List<? extends JsScope> getScopes(JsFunction function)
                                         throws MethodIsBlockingException

Returns:
  list of hidden function scopes (possibly empty)
Throws:
  `MethodIsBlockingException` - because function may need to load scope data on demand